IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Private Member Functions | Private Attributes | List of all members
Ioss::ElementTopology Class Referenceabstract

Represents an element topology. More...

`#include <Ioss_ElementTopology.h>`

Inheritance diagram for Ioss::ElementTopology:
[legend]

## Public Member Functions
void | alias (const std::string &base, const std::string &syn)
bool | is_alias (const std::string &my_alias) const
| ElementTopology (const ElementTopology &)=delete
ElementTopology & | operator= (const ElementTopology &)=delete
virtual | ~ElementTopology ()
const std::string & | name () const
std::string | master_element_name () const
virtual ElementShape | shape () const =0
virtual bool | is_element () const
virtual int | spatial_dimension () const =0
virtual int | parametric_dimension () const =0
virtual int | order () const =0
virtual bool | edges_similar () const
virtual bool | faces_similar () const
virtual int | number_corner_nodes () const =0
virtual int | number_nodes () const =0
virtual int | number_edges () const =0
virtual int | number_faces () const =0
int | number_boundaries () const
virtual int | number_nodes_edge (int edge=0) const =0
virtual int | number_nodes_face (int face=0) const =0
virtual int | number_edges_face (int face=0) const =0
IntVector | boundary_connectivity (int edge_number) const
virtual IntVector | edge_connectivity (int edge_number) const =0
virtual IntVector | face_connectivity (int face_number) const =0
virtual IntVector | element_connectivity () const =0
virtual IntVector | face_edge_connectivity (int face_number) const
IntVector | element_edge_connectivity () const
ElementTopology * | boundary_type (int face_number=0) const
virtual ElementTopology * | face_type (int face_number=0) const =0
virtual ElementTopology * | edge_type (int edge_number=0) const =0

## Static Public Member Functions
static ElementTopology * | factory (const std::string &type, bool ok_to_fail=false)
static ElementTopology * | factory (unsigned int unique_id)
static unsigned int | get_unique_id (const std::string &type)
static int | describe (NameList *names)
| Get the names of element topologies known to Ioss. More...

## Protected Member Functions
| ElementTopology (std::string type, std::string master_elem_name, bool delete_me=false)

## Static Private Member Functions
static ETRegistry & | registry ()

## Private Attributes
const std::string | name_
const std::string | masterElementName_

## Detailed Description

Represents an element topology.

Defines node, edge, and face connectivity information of an element.

## Constructor & Destructor Documentation

## ◆ ElementTopology() [1/2]

Ioss::ElementTopology::ElementTopology | ( | const ElementTopology & |  | ) |
| delete

## ◆ ~ElementTopology()

Ioss::ElementTopology::~ElementTopology | ( |  | ) |
| virtualdefault

## ◆ ElementTopology() [2/2]

Ioss::ElementTopology::ElementTopology | ( | std::string | type,
|  | std::string | master_elem_name,
|  | bool | delete_me = `false`
| ) |  |
| protected

## Member Function Documentation

## ◆ alias()

void Ioss::ElementTopology::alias | ( | const std::string & | base,
|  | const std::string & | syn
| ) |  |

## ◆ boundary_connectivity()

Ioss::IntVector Ioss::ElementTopology::boundary_connectivity | ( | int | edge_number | ) | const

## ◆ boundary_type()

Ioss::ElementTopology * Ioss::ElementTopology::boundary_type | ( | int | face_number = `0` | ) | const

## ◆ describe()

int Ioss::ElementTopology::describe | ( | NameList * | names | ) |
| static

Get the names of element topologies known to Ioss.

Parameters

  [out] | names | The list of known element topoloty names.

Returns
  The number of known element topologies.

## ◆ edge_connectivity()

virtual IntVector Ioss::ElementTopology::edge_connectivity | ( | int | edge_number | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Quad6, Ioss::Tet7, Ioss::Tri4a, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ edge_type()

virtual ElementTopology* Ioss::ElementTopology::edge_type | ( | int | edge_number = `0` | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Tet7, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad6, Ioss::Tri4a, Ioss::TriShell3, Ioss::TriShell4, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet8, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell6, Ioss::TriShell7, Ioss::Edge2, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ edges_similar()

bool Ioss::ElementTopology::edges_similar | ( |  | ) | const
| virtual

Reimplemented in Ioss::Wedge12, Ioss::Tri4a, Ioss::Tet7, Ioss::Quad6, and Ioss::Hex16.

## ◆ element_connectivity()

virtual IntVector Ioss::ElementTopology::element_connectivity | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Quad6, Ioss::Tet7, Ioss::Tri4a, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ element_edge_connectivity()

Ioss::IntVector Ioss::ElementTopology::element_edge_connectivity | ( |  | ) | const

## ◆ face_connectivity()

virtual IntVector Ioss::ElementTopology::face_connectivity | ( | int | face_number | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Quad6, Ioss::Tet7, Ioss::Tri4a, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ face_edge_connectivity()

Ioss::IntVector Ioss::ElementTopology::face_edge_connectivity | ( | int | face_number | ) | const
| virtual

Reimplemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Tet7, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::TriShell3, Ioss::TriShell4, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, and Ioss::Tet8.

## ◆ face_type()

virtual ElementTopology* Ioss::ElementTopology::face_type | ( | int | face_number = `0` | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge12, Ioss::Wedge6, Ioss::Hex16, Ioss::Tet7, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad6, Ioss::Tri4a, Ioss::TriShell3, Ioss::TriShell4, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet8, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell6, Ioss::TriShell7, Ioss::Edge2, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ faces_similar()

bool Ioss::ElementTopology::faces_similar | ( |  | ) | const
| virtual

Reimplemented in Ioss::Wedge6, Ioss::Tet7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, and Ioss::Hex16.

## ◆ factory() [1/2]

Ioss::ElementTopology * Ioss::ElementTopology::factory | ( | const std::string & | type,
|  | bool | ok_to_fail = `false`
| ) |  |
| static

## ◆ factory() [2/2]

Ioss::ElementTopology * Ioss::ElementTopology::factory | ( | unsigned int | unique_id | ) |
| static

## ◆ get_unique_id()

unsigned int Ioss::ElementTopology::get_unique_id | ( | const std::string & | type | ) |
| static

## ◆ is_alias()

bool Ioss::ElementTopology::is_alias | ( | const std::string & | my_alias | ) | const

## ◆ is_element()

bool Ioss::ElementTopology::is_element | ( |  | ) | const
| virtual

Reimplemented in Ioss::Super, Ioss::Beam2, Ioss::Beam3, Ioss::Quad6, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Hex16, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, and Ioss::Wedge6.

## ◆ master_element_name()

std::string Ioss::ElementTopology::master_element_name | ( |  | ) | const
| inline

## ◆ name()

const std::string& Ioss::ElementTopology::name | ( |  | ) | const
| inline

## ◆ number_boundaries()

int Ioss::ElementTopology::number_boundaries | ( |  | ) | const

## ◆ number_corner_nodes()

virtual int Ioss::ElementTopology::number_corner_nodes | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_edges()

virtual int Ioss::ElementTopology::number_edges | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_edges_face()

virtual int Ioss::ElementTopology::number_edges_face | ( | int | face = `0` | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_faces()

virtual int Ioss::ElementTopology::number_faces | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_nodes()

virtual int Ioss::ElementTopology::number_nodes | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_nodes_edge()

virtual int Ioss::ElementTopology::number_nodes_edge | ( | int | edge = `0` | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ number_nodes_face()

virtual int Ioss::ElementTopology::number_nodes_face | ( | int | face = `0` | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Hex16, Ioss::Quad6, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ operator=()

ElementTopology& Ioss::ElementTopology::operator= | ( | const ElementTopology & |  | ) |
| delete

## ◆ order()

virtual int Ioss::ElementTopology::order | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Beam2, Ioss::Beam3, Ioss::Quad6, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2, Ioss::Hex16, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, Ioss::Unknown, Ioss::Wedge6, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, and Ioss::Node.

## ◆ parametric_dimension()

virtual int Ioss::ElementTopology::parametric_dimension | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Beam2, Ioss::Beam3, Ioss::Edge2, Ioss::Quad6, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Unknown, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, Ioss::Hex16, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Node, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, and Ioss::Wedge6.

## ◆ registry()

Ioss::ETRegistry & Ioss::ElementTopology::registry | ( |  | ) |
| staticprivate

## ◆ shape()

virtual ElementShape Ioss::ElementTopology::shape | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Wedge6, Ioss::Beam2, Ioss::Beam3, Ioss::Edge2, Ioss::Quad6, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Unknown, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, Ioss::Hex16, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Node, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, and Ioss::Tri3.

## ◆ spatial_dimension()

virtual int Ioss::ElementTopology::spatial_dimension | ( |  | ) | const
| pure virtual

Implemented in Ioss::Super, Ioss::Beam2, Ioss::Beam3, Ioss::Edge2, Ioss::Quad6, Ioss::Spring2, Ioss::Spring3, Ioss::Tri4, Ioss::Tri4a, Ioss::Tri6, Ioss::Tri7, Ioss::TriShell3, Ioss::TriShell4, Ioss::TriShell6, Ioss::TriShell7, Ioss::Unknown, Ioss::Wedge12, Ioss::Wedge15, Ioss::Wedge16, Ioss::Wedge18, Ioss::Wedge20, Ioss::Wedge21, Ioss::Edge2D2, Ioss::Edge2D3, Ioss::Edge3, Ioss::Hex16, Ioss::Hex20, Ioss::Hex27, Ioss::Hex8, Ioss::Node, Ioss::Pyramid13, Ioss::Pyramid14, Ioss::Pyramid18, Ioss::Pyramid19, Ioss::Pyramid5, Ioss::Quad4, Ioss::Quad8, Ioss::Quad9, Ioss::Shell4, Ioss::Shell8, Ioss::Shell9, Ioss::ShellLine2D2, Ioss::ShellLine2D3, Ioss::Sphere, Ioss::Tet10, Ioss::Tet11, Ioss::Tet14, Ioss::Tet15, Ioss::Tet4, Ioss::Tet7, Ioss::Tet8, Ioss::Tri3, and Ioss::Wedge6.

## Member Data Documentation

## ◆ masterElementName_

const std::string Ioss::ElementTopology::masterElementName_
| private

## ◆ name_

const std::string Ioss::ElementTopology::name_
| private

The documentation for this class was generated from the following files:

- src/Ioss_ElementTopology.h
- src/Ioss_ElementTopology.C